> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/alarm/getalarmtext.md).

# GetAlarmText

#### string GetAlarmText(int ALID)

EZGemPlus에 등록된 ALID의 ALTXT(Alarm Text)를 반환 해 줌.

Parameters

<table data-header-hidden><thead><tr><th width="178" valign="top"></th><th width="109" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">ALID</td><td valign="top">int</td><td valign="top">ATXT를 반환 받기 원하는 ALID</td></tr></tbody></table>

ReturnValue

<table data-header-hidden><thead><tr><th width="218" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Value</td><td valign="top">Description</td></tr><tr><td valign="top">string</td><td valign="top">ALTXT 반환</td></tr><tr><td valign="top">“”</td><td valign="top">실패 시 empty string 반환</td></tr></tbody></table>

```csharp
// 특정 알람의 텍스트 메시지만 가져와서 로그에 기록하는 예제
public void LogAlarmMessage(int nALID)
{
    // 1. 함수 호출 (ALID를 인자로 전달)
    string strAlarmMsg = m_gem.GetAlarmText(nALID);

    // 2. 결과 값 확인 (실패 시 빈 문자열 "" 반환)
    if (!string.IsNullOrEmpty(strAlarmMsg))
    {
        // 성공적으로 가져온 경우
        Console.WriteLine($"[ID: {nALID}] 알람 메시지: {strAlarmMsg}");
    }
    else
    {
        // 등록되지 않은 ALID이거나 내부 오류인 경우
        Console.WriteLine($"[Error] ID: {nALID}에 해당하는 알람 정보를 찾을 수 없습니다.");
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/alarm/getalarmtext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
